<body style="BACKGROUND-COLOR: buttonface;margin-left:3px;margin-bottom:5px;margin-right:5px;margin-top:0px;">
<script language="JavaScript" src="{%glo:cfgWebRoot%}gui/componenttoolbar.js"></script>
<script language="JavaScript" src="{%glo:cfgWebRoot%}gui/scripts.js"></script>
<script>
	function submitform()
	{
    
		//2. change components
		for (i=0; i<=(window.frames["iframe"].document.all.length-1); i++)
		{
			
			var inside = window.frames["iframe"].document.all[i].outerHTML.match(/<div class=graphicaleditdiv[^>]*>(.*?)<\/div>/i);
			if (inside && window.frames["iframe"].document.all[i].tagName=="DIV")
			{
				var specTag = window.frames["iframe"].document.all[i].outerHTML.match(/({%component:\w+:\w+%})/);
				window.frames["iframe"].document.all[i].outerHTML = specTag[0];
			}
		}

		
		//3. change replaced special tags
		if (window.frames["iframe"].window.elements.length>0)
		{
			for (i=0; i<window.frames["iframe"].window.elements.length; i++)
			{
				var obj = window.frames["iframe"].window.elements[i][0];
				var original = window.frames["iframe"].window.elements[i][1];
				var replaced = window.frames["iframe"].window.elements[i][2];
				obj.outerHTML = obj.outerHTML.replace(replaced, original);
			}
		}

		//strip base from links
		for(f=0; f<window.frames["iframe"].window.document.all.length;f++)
		{
		  if(window.frames["iframe"].window.document.all[f].tagName.toLowerCase() == "img")
		  {
			if(window.frames["iframe"].window.document.all[f].src.indexOf("{%str:base%}") == 0)
			{
			  window.frames["iframe"].window.document.all[f].src = window.frames["iframe"].window.document.all[f].src.substring("{%str:base%}".length - 1);
			}
		  }
		  if(window.frames["iframe"].window.document.all[f].tagName.toLowerCase() == "a")
		  {
			 if(window.frames["iframe"].window.document.all[f].href.indexOf("{%str:base%}") == 0)
			 {
			   window.frames["iframe"].window.document.all[f].href = window.frames["iframe"].window.document.all[f].href.substring("{%str:base%}".length - 1);
			 }
		  }
		}

		
		//save iframe contents to form field
		window.frames["iframe"].document.body.contentEditable = false;
		var contents = window.frames["iframe"].document.getElementsByTagName("html").item(0).outerHTML;
		document.all["contents"].value = contents;

		return true;
	}
</script>
<table>
<tr>
<td>
<SPAN onmouseup=out(this.id) class=button onmousedown=dn(this.id) onmouseover=up(this.id) style="BORDER-RIGHT: buttonface 1px solid; BORDER-TOP: buttonface 1px solid; BORDER-LEFT: buttonface 1px solid; BORDER-BOTTOM: buttonface 1px solid; BACKGROUND-COLOR: buttonface" onmouseout=out(this.id) alt="Save changes"><IMG height=16 alt="{%langstr:save_changes%}" hspace=1 src="http://213.21.219.23/constructor/backend/gui/tbimages/save.gif" width=16 vspace=1 border=0></SPAN>
</td>
</tr>
</table>
<iframe frameborder="0" name="iframe" width="100%" height="90%" src="{%str:frame%}" style="z-index:1;" scrolling="yes"></iframe>
<!-- form -->
<form action="{%str:formaction%}" onsubmit="return submitform();" method="POST">
<input type="hidden" name="contents" value="">
<div align="right" style="padding-right:10px;"><input type="submit" value="{%langstr:save%}"></div>
</form>
<!-- form -->
</body>
